Bug 602465 - SELinux is preventing /bin/sed "unlink" access on hostse.
SELinux is preventing /bin/sed "unlink" access on hostse.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
setroubleshoot_trace_hash:d7dda50fed1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 17:47 EDT by Matěj Cepl
Modified: 2010-06-16 11:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 11:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-06-09 17:47:27 EDT
I have absolutely no idea, where this comes from. Might be related to openswan, but not sure about that.


Souhrn:

SELinux is preventing /bin/sed "unlink" access on hostse.

Podrobný popis:

[SELinux je v tolerantním režimu. Přístup byl povolen.]

SELinux denied access requested by sed. It is not expected that this access is
required by sed and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                system_u:system_r:initrc_t:s0
Kontext cíle                 system_u:object_r:etc_t:s0
Objekty cíle                 hostse [ file ]
Zdroj                         sed
Cesta zdroje                  /bin/sed
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          sed-4.2.1-5.el6
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.19-23.el6
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.32-33.el6.x86_64 #1
                              SMP Thu Jun 3 13:00:03 EDT 2010 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               St 9. červen 2010, 23:43:17 CEST
Naposledy viděno             St 9. červen 2010, 23:43:17 CEST
Místní ID                   9eca3d61-6528-40e0-ae47-b1695439ff61
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1276119797.137:48): avc:  denied  { unlink } for  pid=3152 comm="sed" name="hostse" dev=dm-1 ino=135888 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1276119797.137:48): arch=c000003e syscall=82 success=yes exit=0 a0=7fffe33aff2c a1=17b42a0 a2=17b4040 a3=4 items=0 ppid=3147 pid=3152 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sed" exe="/bin/sed" subj=system_u:system_r:initrc_t:s0 key=(null)



Hash String generated from  catchall,sed,initrc_t,etc_t,file,unlink
audit2allow suggests:

#============= initrc_t ==============
allow initrc_t etc_t:file unlink;
Comment 2 RHEL Product and Program Management 2010-06-09 18:12:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Daniel Walsh 2010-06-10 08:30:59 EDT
grep hoste /etc/init.d/*

find /etc -name hoste
Comment 4 Matěj Cepl 2010-06-10 11:02:24 EDT
johanka:~# grep hoste /etc/init.d/*
johanka:~# 
johanka:~# find /etc -name hoste
johanka:~# 

So it is probably something temporary. Moreover,

grep -rwi hoste /etc/

gave me nothing on stdout (just some broken links on stderr)
Comment 5 Daniel Walsh 2010-06-16 11:17:21 EDT
Ok lets pretend it never happened then.  :^( 


Reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.